Name:          basepom
Version:       14
Release:       1%{?dist}
Summary:       All the BASE POMs in the world
License:       ASL 2.0
URL:           https://github.com/basepom/basepom/
Source0:       https://github.com/basepom/basepom/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.code.findbugs:annotations)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-install-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)

BuildArch:     noarch

%description
Glue to build the various versions of the BASE POMs.

%package foundation
Summary:       BASE Foundation POM

%description foundation
Base POM foundation that codifies policy and plugins.

%package minimal
Summary:       Base Minimal POM

%description minimal
Base POM for new projects with minimal rules and
minimal applied. Does not include any dependency,
distribution or repository information.

%package minimal-oss
Summary:       Base Minimal OSS POM

%description minimal-oss
Same as Minimal base POM, but also includes packaging and
deployment for oss.sonatype.org.

%package standard
Summary:       Base Standard POM

%description standard
Standard base POM for new projects.
Does not include any distribution or
repository information.

%package standard-oss
Summary:       Base Standard OSS POM

%description standard-oss
Same as Standard base POM, but also includes packaging and
deployment for oss.sonatype.org

%prep
%setup -q -n %{name}-%{name}-%{version}

# Remove unavailable plugins
%pom_remove_plugin -r com.mycila:license-maven-plugin minimal-oss standard-oss
%pom_remove_plugin com.ning.maven.plugins:maven-dependency-versions-check-plugin foundation
%pom_remove_plugin -r net.alchim31.maven:scala-maven-plugin foundation standard-oss
%pom_remove_plugin -r org.basepom.maven:duplicate-finder-maven-plugin foundation minimal
%pom_remove_plugin org.basepom.maven:property-helper-maven-plugin foundation
%pom_remove_plugin org.skife.maven:really-executable-jar-maven-plugin foundation
%pom_remove_plugin pl.project13.maven:git-commit-id-plugin foundation
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin foundation

# Disable unwanted task
%pom_remove_plugin -r :maven-gpg-plugin
%pom_remove_plugin -r :maven-javadoc-plugin minimal-oss standard-oss
%pom_remove_plugin :maven-pmd-plugin foundation
%pom_remove_plugin -r :maven-shade-plugin foundation minimal
%pom_remove_plugin :maven-source-plugin foundation
%pom_remove_plugin org.jacoco:jacoco-maven-plugin foundation
# Use org.basepom:basepom-policy:4
%pom_remove_plugin -r :maven-checkstyle-plugin foundation minimal
# Unavailable build deps/tools
%pom_disable_module it

%build

%mvn_build -s -- -Prelease

%install
%mvn_install

%files -f .mfiles-build-basepom-root
%doc docs/*
%license LICENSE.txt

%files foundation -f .mfiles-basepom-foundation
%license LICENSE.txt

%files minimal -f .mfiles-basepom-minimal
%license LICENSE.txt

%files minimal-oss -f .mfiles-basepom-minimal-oss
%doc CHANGES.md README.md
%license LICENSE.txt

%files standard -f .mfiles-basepom-standard
%license LICENSE.txt

%files standard-oss -f .mfiles-basepom-standard-oss
%license LICENSE.txt

%changelog
* Tue Dec 22 2015 gil cattaneo <puntogil@libero.it> 14-1
- update to 14

* Fri Dec 06 2013 gil cattaneo <puntogil@libero.it> 2-1
- initial rpm
